# Commit

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**author** | Option<[**crate::models::User**](User.md)> |  | [optional]
**commit** | Option<[**crate::models::RepoCommit**](RepoCommit.md)> |  | [optional]
**committer** | Option<[**crate::models::User**](User.md)> |  | [optional]
**created** | Option<**String**> |  | [optional]
**files** | Option<[**Vec<crate::models::CommitAffectedFiles>**](CommitAffectedFiles.md)> |  | [optional]
**html_url** | Option<**String**> |  | [optional]
**parents** | Option<[**Vec<crate::models::CommitMeta>**](CommitMeta.md)> |  | [optional]
**sha** | Option<**String**> |  | [optional]
**stats** | Option<[**crate::models::CommitStats**](CommitStats.md)> |  | [optional]
**url** | Option<**String**> |  | [optional]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


